Package org.eclipse.lemminx.extensions.references.participants

## Class XMLReferencesRenameParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.references.participants.XMLReferencesRenameParticipant

All Implemented Interfaces:
  `IRenameParticipant`

    public class XMLReferencesRenameParticipant
    extends Object
    implements IRenameParticipant

XML references rename support.

### Constructor Summary

Constructors
`XMLReferencesRenameParticipant​(XMLReferencesPlugin plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doRename​(IRenameRequest request, IRenameResponse renameResponse, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Creates the list of document changes for the rename operation.
`org.eclipse.lsp4j.jsonrpc.messages.Either<org.eclipse.lsp4j.Range,​org.eclipse.lsp4j.PrepareRenameResult>` `prepareRename​(IPrepareRenameRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Checks if rename operation can be executed for a given prepare rename request

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLReferencesRenameParticipant

    public XMLReferencesRenameParticipant​(XMLReferencesPlugin plugin)

### Method Detail

#### prepareRename

    public org.eclipse.lsp4j.jsonrpc.messages.Either<org.eclipse.lsp4j.Range,​org.eclipse.lsp4j.PrepareRenameResult> prepareRename​(IPrepareRenameRequest request,
                                                                                                                                        org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `IRenameParticipant`
Checks if rename operation can be executed for a given prepare rename request

Specified by:
  `prepareRename` in interface `IRenameParticipant`
Parameters:
  `request` - A prepare rename request
  `cancelChecker` - Cancel checker
Returns:
  Either range or rename operation result of prepare rename operation

#### doRename

    public void doRename​(IRenameRequest request,
                         IRenameResponse renameResponse,
                         org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `IRenameParticipant`
Creates the list of document changes for the rename operation.

Specified by:
  `doRename` in interface `IRenameParticipant`
Parameters:
  `request` - A rename request
  `cancelChecker` - Cancel checker